import { HcApi } from '../../request/index'

export default {
    //数据看板-项目统计
    async dataProjectStat(form) {
        return HcApi({
            url: '/api/blade-attach/project/data-project-stat',
            method: 'get',
            params: form,
        }, false)
    },
    //数据看板-投资数据
    async dataInvestStat(form) {
        return HcApi({
            url: '/api/blade-attach/project/data-invest-stat',
            method: 'get',
            params: form,
        }, false)
    },
    //数据看板-进度数据
    async schedulestStat(form) {
        return HcApi({
            url: '/api/blade-attach/project/data-schedule-stat',
            method: 'get',
            params: form,
        }, false)
    },
    //数据看板-截止时间
    async dateEndDate(form) {
        return HcApi({
            url: '/api/blade-attach/project/data-end-date',
            method: 'get',
            params: form,
        }, false)
    },
    //工作要点-数据看板
    async queryWorkFocusDataInfo(form) {
        return HcApi({
            url: '/api/blade-attach/workfocus/queryWorkFocusDataInfo',
            method: 'get',
            params: form,
        }, false)
    },
}
